package com.ruoyi.post.frequency.posshield.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.post.frequency.posshield.entity.PostShield;
import com.ruoyi.response.ResponseData;
import com.ruoyi.vo.UserVo;

import java.util.List;

/**
 * 论坛屏蔽Service接口
 * 
 * @author liwenlong
 * @date 2023-10-26
 */
public interface PostShieldService extends IService<PostShield>
{
    /**
     * 查询论坛屏蔽
     * 
     * @param id 论坛屏蔽主键
     * @return 论坛屏蔽
     */
    public PostShield selectPostShieldById(Long id);

    /**
     * 查询论坛屏蔽列表
     * 
     * @param postShield 论坛屏蔽
     * @return 论坛屏蔽集合
     */
    public List<PostShield> selectPostShieldList(PostShield postShield);

    /**
     * 新增论坛屏蔽
     * 
     * @param postShield 论坛屏蔽
     * @return 结果
     */
    public int insertPostShield(PostShield postShield);

    /**
     * 修改论坛屏蔽
     * 
     * @param postShield 论坛屏蔽
     * @return 结果
     */
    public int updatePostShield(PostShield postShield);

    /**
     * 批量删除论坛屏蔽
     * 
     * @param ids 需要删除的论坛屏蔽主键集合
     * @return 结果
     */
    public int deletePostShieldByIds(Long[] ids);

    /**
     * 删除论坛屏蔽信息
     * 
     * @param id 论坛屏蔽主键
     * @return 结果
     */
    public int deletePostShieldById(Long id);


    /**
     * 帖子屏蔽
     * @param id
     * @param userVo
     * @return
     */
    ResponseData postShield(Long postId, UserVo userVo);


    /**
     * 用户屏蔽的帖子ids
     * @param userVo
     * @return
     */
    List<Long> shieldPostList(UserVo userVo);
}
